[gelöst] vlc lässt sich nicht mehr installieren

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
MicGru
Newbie
Newbie
Beiträge: 17
Registriert: 17. Okt 2004, 12:18

[gelöst] vlc lässt sich nicht mehr installieren

Beitrag von MicGru » 5. Feb 2005, 23:07

Ich habe Heute leider beiläufig nach dem KDE-Update per apt auch libcddb installiert. Hierbei wurde vlc deinstalliert.

Eine Neuinstallation wird verweigert mit Abhängigkeitsproblemen:
...
The following packages have unmet dependencies:
vlc: Depends: libcdio.so.3 but it is not installable
Depends: libcdio.so.3(CDIO_3) but it is not installable
E: Broken packages

Anscheinend hängt dieses Problem mit früheren Paketkonfigurationen zusammen.

Kann ich hier dem System die libcdio.so.3 durch ein rpm-Dummy vorgaukeln oder sollte ich besser die libcddb downgraden?

Danke im voraus.

Michael
Zuletzt geändert von MicGru am 17. Feb 2005, 16:37, insgesamt 1-mal geändert.
SuSE 10.1

Werbung:
Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Re: vlc lässt sich nicht mehr installieren

Beitrag von oc2pus » 9. Feb 2005, 11:58

MicGru hat geschrieben:...
Anscheinend hängt dieses Problem mit früheren Paketkonfigurationen zusammen.

Kann ich hier dem System die libcdio.so.3 durch ein rpm-Dummy vorgaukeln oder sollte ich besser die libcddb downgraden?
wenn die libcddb sich downgraden lässt, würde ich dir diesen Weg empfehlen. Mit "Pinning" kannst du sie dann von automatischen Updates ausklammern. Falls die libcddb sich nicht downgraden lässt, erstelle für die libcdio.so.3 ein virtuelles RPM.

Evtl hilft auch eine eMail an den Packager von vlc, er hat eine sogenannte "festverdrahtete" Bibliothek als Dependency in seinem RPM eingebaut. Besser wäre dort eine Abhängigkeit auf eine bestimmte libcddb Version. Und wenn im vlc-RPM die richtigen Dependencies stehen verschwindet das Problem von alleine ...
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 4 Gäste